Subject: Re: [PATCH] xsa_use_interrupts flag [WAS: xilinx_sysace]

From: Jon Masters <[email-masked]>
Date: Thu, 23 Sep 2004 14:43:30 +0100

On Thu, 23 Sep 2004 09:36:00 -0400, Jeff Angielski <[email-masked]> wrote:

> We are using the SystemACE on our custom MPC8260 platform and I do not
> recall seeing extra interrupts on the sector writes.

This is on a Virtex II Pro which does not use the interrupt controller
that you mention. I'm quite sure *some* people are able to use this
just fine - otherwise there wouldn't be interrupt driven IO in the
Monta driver, but it doesn't work on all boards, and it's not a simple
bug in the interrupt handling code - it's a real extra unwanted
interrupt from the chip.

The board in question is the Memec one with lots of custom logic, the
xintc and a bunch of other bits running 2.4.23 but without any of the
HAL nonesense and Xilinx xparameters stuff.

Cheers,

Jon.